diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/tuple-value-test-suite.cc ns-3.44/src/core/test/tuple-value-test-suite.cc
--- ns-3.43/src/core/test/tuple-value-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/tuple-value-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -6,15 +6,15 @@
  * Author: Stefano Avallone <stavallo@unina.it>
  */
 
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/log.h>
-#include <ns3/object.h>
-#include <ns3/ptr.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
-#include <ns3/tuple.h>
-#include <ns3/uinteger.h>
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/log.h"
+#include "ns3/object.h"
+#include "ns3/ptr.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
+#include "ns3/tuple.h"
+#include "ns3/uinteger.h"
 
 #include <algorithm>
 #include <iterator>
@@ -44,8 +44,8 @@
     ~TupleObject() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -60,22 +60,22 @@
 
     /**
      * Set tuple1
-     * \param tuple tuple value
+     * @param tuple tuple value
      */
     void SetTuple1(const Tuple1& tuple);
     /**
      * Get tuple1
-     * \return tuple1
+     * @return tuple1
      */
     Tuple1 GetTuple1() const;
     /**
      * Set tuple2
-     * \param tuple tuple value
+     * @param tuple tuple value
      */
     void SetTuple2(const Tuple2& tuple);
     /**
      * Get tuple2
-     * \return tuple2
+     * @return tuple2
      */
     Tuple2 GetTuple2() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/type-id-test-suite.cc ns-3.44/src/core/test/type-id-test-suite.cc
--- ns-3.43/src/core/test/type-id-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/type-id-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -20,22 +20,22 @@
 
 using namespace ns3;
 
-/// \return A const string used to build the test name.
+/// @return A const string used to build the test name.
 const std::string suite("type-id: ");
 
 /**
- * \file
- * \ingroup typeid-tests
+ * @file
+ * @ingroup typeid-tests
  * TypeId test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup typeid-tests TypeId class tests
+ * @ingroup core-tests
+ * @defgroup typeid-tests TypeId class tests
  */
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * Test for uniqueness of all TypeIds.
  */
@@ -109,7 +109,7 @@
 }
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * Collision test.
  */
@@ -190,7 +190,7 @@
 }
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * Class used to test deprecated Attributes.
  */
@@ -216,8 +216,8 @@
     }
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -237,7 +237,7 @@
                               IntegerValue(1),
                               MakeIntegerAccessor(&DeprecatedAttribute::m_attr),
                               MakeIntegerChecker<int>(),
-                              TypeId::DEPRECATED,
+                              TypeId::SupportLevel::DEPRECATED,
                               "use 'attribute' instead")
                 // Obsolete attribute, as an example
                 .AddAttribute("obsoleteAttribute",
@@ -245,7 +245,7 @@
                               EmptyAttributeValue(),
                               MakeEmptyAttributeAccessor(),
                               MakeEmptyAttributeChecker(),
-                              TypeId::OBSOLETE,
+                              TypeId::SupportLevel::OBSOLETE,
                               "refactor to use 'attribute'")
 
                 // The new trace source
@@ -258,14 +258,14 @@
                                 "the old trace source",
                                 MakeTraceSourceAccessor(&DeprecatedAttribute::m_trace),
                                 "ns3::TracedValueCallback::Double",
-                                TypeId::DEPRECATED,
+                                TypeId::SupportLevel::DEPRECATED,
                                 "use 'trace' instead")
                 // Obsolete trace source, as an example
                 .AddTraceSource("obsoleteTraceSource",
                                 "the obsolete trace source",
                                 MakeEmptyTraceSourceAccessor(),
                                 "ns3::TracedValueCallback::Void",
-                                TypeId::OBSOLETE,
+                                TypeId::SupportLevel::OBSOLETE,
                                 "refactor to use 'trace'");
 
         return tid;
@@ -273,7 +273,7 @@
 };
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * Check deprecated Attributes and TraceSources.
  */
@@ -311,29 +311,33 @@
                           true,
                           "lookup new attribute");
     std::cerr << suite << "lookup new attribute:"
-              << (ainfo.supportLevel == TypeId::SUPPORTED ? "supported" : "error") << std::endl;
+              << (ainfo.supportLevel == TypeId::SupportLevel::SUPPORTED ? "supported" : "error")
+              << std::endl;
 
     NS_TEST_ASSERT_MSG_EQ(tid.LookupAttributeByName("oldAttribute", &ainfo),
                           true,
                           "lookup old attribute");
     std::cerr << suite << "lookup old attribute:"
-              << (ainfo.supportLevel == TypeId::DEPRECATED ? "deprecated" : "error") << std::endl;
+              << (ainfo.supportLevel == TypeId::SupportLevel::DEPRECATED ? "deprecated" : "error")
+              << std::endl;
 
     TypeId::TraceSourceInformation tinfo;
     Ptr<const TraceSourceAccessor> acc;
     acc = tid.LookupTraceSourceByName("trace", &tinfo);
     NS_TEST_ASSERT_MSG_NE(acc, nullptr, "lookup new trace source");
     std::cerr << suite << "lookup new trace source:"
-              << (tinfo.supportLevel == TypeId::SUPPORTED ? "supported" : "error") << std::endl;
+              << (tinfo.supportLevel == TypeId::SupportLevel::SUPPORTED ? "supported" : "error")
+              << std::endl;
 
     acc = tid.LookupTraceSourceByName("oldTrace", &tinfo);
     NS_TEST_ASSERT_MSG_NE(acc, nullptr, "lookup old trace source");
     std::cerr << suite << "lookup old trace source:"
-              << (tinfo.supportLevel == TypeId::DEPRECATED ? "deprecated" : "error") << std::endl;
+              << (tinfo.supportLevel == TypeId::SupportLevel::DEPRECATED ? "deprecated" : "error")
+              << std::endl;
 }
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * Performance test: measure average lookup time.
  */
@@ -348,8 +352,8 @@
     void DoSetup() override;
     /**
      * Report the performance test results.
-     * \param how How the TypeId is searched (name or hash).
-     * \param delta The time required for the lookup.
+     * @param how How the TypeId is searched (name or hash).
+     * @param delta The time required for the lookup.
      */
     void Report(const std::string how, const uint32_t delta) const;
 
@@ -421,7 +425,7 @@
 }
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * TypeId test suites.
  */
@@ -450,7 +454,7 @@
 static TypeIdTestSuite g_TypeIdTestSuite;
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * TypeId performance test suites.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/type-traits-test-suite.cc ns-3.44/src/core/test/type-traits-test-suite.cc
--- ns-3.43/src/core/test/type-traits-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/type-traits-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -9,10 +9,10 @@
 #include "ns3/warnings.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup object
- * \ingroup object-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup object
+ * @ingroup object-tests
  * TypeTraits test suite.
  */
 
@@ -23,7 +23,7 @@
 {
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  *  Type traits test
  */
 class TypeTraitsTestCase : public TestCase
@@ -80,7 +80,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  *  Type traits test suite
  */
 class TypeTraitsTestSuite : public TestSuite
@@ -97,7 +97,7 @@
 }
 
 /**
- * \ingroup object-tests
+ * @ingroup object-tests
  * TypeTraitsTestSuite instance variable.
  */
 static TypeTraitsTestSuite g_typeTraitsTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/val-array-test-suite.cc ns-3.44/src/core/test/val-array-test-suite.cc
--- ns-3.43/src/core/test/val-array-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/val-array-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -11,20 +11,20 @@
 #include "ns3/val-array.h"
 
 /**
- * \defgroup valArray-tests ValArray tests
- * \ingroup core-tests
- * \ingroup Matrices
+ * @defgroup valArray-tests ValArray tests
+ * @ingroup core-tests
+ * @ingroup Matrices
  */
 
 /**
- * \file
- * \ingroup valArray-tests
+ * @file
+ * @ingroup valArray-tests
  * ValArray test suite
  */
 
 /**
- * \file
- * \ingroup core-tests
+ * @file
+ * @ingroup core-tests
  */
 
 namespace ns3
@@ -50,32 +50,32 @@
     /**
      * Constructor
      *
-     * \param [in] name reference name
+     * @param [in] name reference name
      */
     ValArrayTestCase(const std::string& name);
 
     /** Destructor. */
     ~ValArrayTestCase() override;
     /**
-     * \brief Copy constructor.
+     * @brief Copy constructor.
      * Instruct the compiler to generate the implicitly declared copy constructor
      */
     ValArrayTestCase(const ValArrayTestCase<T>&) = default;
     /**
-     * \brief Copy assignment operator.
+     * @brief Copy assignment operator.
      * Instruct the compiler to generate the implicitly declared copy assignment operator.
-     * \return A reference to this ValArrayTestCase
+     * @return A reference to this ValArrayTestCase
      */
     ValArrayTestCase<T>& operator=(const ValArrayTestCase<T>&) = default;
     /**
-     * \brief Move constructor.
+     * @brief Move constructor.
      * Instruct the compiler to generate the implicitly declared move constructor
      */
     ValArrayTestCase(ValArrayTestCase<T>&&) = default;
     /**
-     * \brief Move assignment operator.
+     * @brief Move assignment operator.
      * Instruct the compiler to generate the implicitly declared copy constructor
-     * \return A reference to this ValArrayTestCase
+     * @return A reference to this ValArrayTestCase
      */
     ValArrayTestCase<T>& operator=(ValArrayTestCase<T>&&) = default;
 
@@ -271,10 +271,10 @@
 }
 
 /**
- * \ingroup valArray-tests
+ * @ingroup valArray-tests
  * ValArray test suite
  *
- * \brief The test checks the correct behaviour of ValArray class
+ * @brief The test checks the correct behaviour of ValArray class
  */
 class ValArrayTestSuite : public TestSuite
 {
@@ -292,7 +292,7 @@
 }
 
 /**
- * \ingroup valArray-tests
+ * @ingroup valArray-tests
  * ValArrayTestSuite instance variable.
  */
 static ValArrayTestSuite g_valArrayTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/watchdog-test-suite.cc ns-3.44/src/core/test/watchdog-test-suite.cc
--- ns-3.43/src/core/test/watchdog-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/watchdog-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -9,10 +9,10 @@
 #include "ns3/watchdog.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup timer
- * \ingroup timer-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup timer
+ * @ingroup timer-tests
  * Watchdog test suite.
  */
 
@@ -23,7 +23,7 @@
 {
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *  Watchdog test
  */
 class WatchdogTestCase : public TestCase
@@ -34,7 +34,7 @@
     void DoRun() override;
     /**
      * Function to invoke when Watchdog expires.
-     * \param arg The argument passed.
+     * @param arg The argument passed.
      */
     void Expire(int arg);
     bool m_expired;        //!< Flag for expired Watchdog
@@ -79,7 +79,7 @@
 }
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *  Watchdog test suite
  */
 class WatchdogTestSuite : public TestSuite
@@ -94,7 +94,7 @@
 };
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  * WatchdogTestSuite instance variable.
  */
 static WatchdogTestSuite g_watchdogTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/examples/csma-broadcast.cc ns-3.44/src/csma/examples/csma-broadcast.cc
--- ns-3.43/src/csma/examples/csma-broadcast.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/examples/csma-broadcast.cc	2025-03-09 16:55:49.367371000 -0700
@@ -83,16 +83,16 @@
 
     ApplicationContainer app = onoff.Install(c0.Get(0));
     // Start the application
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     app = sink.Install(c0.Get(1));
     app.Add(sink.Install(c1.Get(1)));
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Configure ascii tracing of all enqueue, dequeue, and NetDevice receive
     // events on all devices.  Trace output will be sent to the file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/examples/csma-multicast.cc ns-3.44/src/csma/examples/csma-multicast.cc
--- ns-3.43/src/csma/examples/csma-multicast.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/examples/csma-multicast.cc	2025-03-09 16:55:49.367371000 -0700
@@ -142,8 +142,8 @@
 
     ApplicationContainer sinkC = sink.Install(c1.Get(2)); // Node n4
     // Start the sink
-    sinkC.Start(Seconds(1.0));
-    sinkC.Stop(Seconds(10.0));
+    sinkC.Start(Seconds(1));
+    sinkC.Stop(Seconds(10));
 
     NS_LOG_INFO("Configure Tracing.");
     //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/examples/csma-one-subnet.cc ns-3.44/src/csma/examples/csma-one-subnet.cc
--- ns-3.43/src/csma/examples/csma-one-subnet.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/examples/csma-one-subnet.cc	2025-03-09 16:55:49.367371000 -0700
@@ -81,14 +81,14 @@
 
     ApplicationContainer app = onoff.Install(nodes.Get(0));
     // Start the application
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     app = sink.Install(nodes.Get(1));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     //
     // Create a similar flow from n3 to n0, starting at time 1.1 seconds
@@ -96,10 +96,10 @@
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(interfaces.GetAddress(0), port)));
     app = onoff.Install(nodes.Get(3));
     app.Start(Seconds(1.1));
-    app.Stop(Seconds(10.0));
+    app.Stop(Seconds(10));
 
     app = sink.Install(nodes.Get(0));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     NS_LOG_INFO("Configure Tracing.");
     //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/examples/csma-packet-socket.cc ns-3.44/src/csma/examples/csma-packet-socket.cc
--- ns-3.43/src/csma/examples/csma-packet-socket.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/examples/csma-packet-socket.cc	2025-03-09 16:55:49.367371000 -0700
@@ -35,9 +35,9 @@
 /**
  * Rx sink
  *
- * \param path The context.
- * \param p The packet.
- * \param address The sender address.
+ * @param path The context.
+ * @param p The packet.
+ * @param address The sender address.
  */
 static void
 SinkRx(std::string path, Ptr<const Packet> p, const Address& address)
@@ -88,22 +88,22 @@
     OnOffHelper onoff("ns3::PacketSocketFactory", Address(socket));
     onoff.SetConstantRate(DataRate("500kb/s"));
     ApplicationContainer apps = onoff.Install(nodes.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     socket.SetSingleDevice(devs.Get(3)->GetIfIndex());
     socket.SetPhysicalAddress(devs.Get(0)->GetAddress());
     socket.SetProtocol(3);
     onoff.SetAttribute("Remote", AddressValue(socket));
     apps = onoff.Install(nodes.Get(3));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Install packet sink on node 0 to receive packets from node 1
     PacketSinkHelper sink = PacketSinkHelper("ns3::PacketSocketFactory", socket);
     apps = sink.Install(nodes.Get(0));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(20.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(20));
 
     // While the below trace sink is hooked to all nodes (the wildcard "*")
     // only one packet sink (on node 0) is actually added above, so
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/examples/csma-ping.cc ns-3.44/src/csma/examples/csma-ping.cc
--- ns-3.43/src/csma/examples/csma-ping.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/examples/csma-ping.cc	2025-03-09 16:55:49.367371000 -0700
@@ -30,8 +30,8 @@
 /**
  * Rx sink
  *
- * \param p The packer.
- * \param ad The sender address.
+ * @param p The packer.
+ * @param ad The sender address.
  */
 static void
 SinkRx(Ptr<const Packet> p, const Address& ad)
@@ -42,9 +42,9 @@
 /**
  * Ping RTT trace sink
  *
- * \param context The context.
- * \param seqNo The Sequence Number.
- * \param rtt The RTT.
+ * @param context The context.
+ * @param seqNo The Sequence Number.
+ * @param rtt The RTT.
  */
 static void
 PingRtt(std::string context, uint16_t seqNo, Time rtt)
@@ -95,14 +95,14 @@
     onoff.SetAttribute("PacketSize", UintegerValue(1200));
 
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     NS_LOG_INFO("Create Sink.");
     PacketSinkHelper sink = PacketSinkHelper("ns3::Ipv4RawSocketFactory", dst);
     apps = sink.Install(c.Get(3));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(11.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(11));
 
     NS_LOG_INFO("Create pinger");
     PingHelper ping(addresses.GetAddress(2));
@@ -111,8 +111,8 @@
     pingers.Add(c.Get(1));
     pingers.Add(c.Get(3));
     apps = ping.Install(pingers);
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(5.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(5));
 
     NS_LOG_INFO("Configure Tracing.");
     // first, pcap tracing in non-promiscuous mode
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/examples/csma-raw-ip-socket.cc ns-3.44/src/csma/examples/csma-raw-ip-socket.cc
--- ns-3.43/src/csma/examples/csma-raw-ip-socket.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/examples/csma-raw-ip-socket.cc	2025-03-09 16:55:49.371371000 -0700
@@ -33,8 +33,8 @@
 /**
  * Receive sink function
  *
- * \param p the packet.
- * \param ad the sender's address.
+ * @param p the packet.
+ * @param ad the sender's address.
  */
 static void
 SinkRx(Ptr<const Packet> p, const Address& ad)
@@ -94,8 +94,8 @@
     NS_LOG_INFO("Create Sink.");
     PacketSinkHelper sink = PacketSinkHelper("ns3::Ipv4RawSocketFactory", dst);
     apps = sink.Install(c.Get(3));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(12.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(12));
 
     NS_LOG_INFO("Configure Tracing.");
     // first, pcap tracing in non-promiscuous mode
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/helper/csma-helper.h ns-3.44/src/csma/helper/csma-helper.h
--- ns-3.43/src/csma/helper/csma-helper.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/helper/csma-helper.h	2025-03-09 16:55:49.371371000 -0700
@@ -24,8 +24,8 @@
 class Packet;
 
 /**
- * \ingroup csma
- * \brief build a set of CsmaNetDevice objects
+ * @ingroup csma
+ * @brief build a set of CsmaNetDevice objects
  *
  * Normally we eschew multiple inheritance, however, the classes
  * PcapUserHelperForDevice and AsciiTraceUserHelperForDevice are
@@ -46,9 +46,9 @@
     }
 
     /**
-     * \tparam Ts \deduced Argument types
-     * \param type the type of queue
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of queue
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * Set the type of queue to create and associated to each
      * CsmaNetDevice created through CsmaHelper::Install.
@@ -57,8 +57,8 @@
     void SetQueue(std::string type, Ts&&... args);
 
     /**
-     * \param n1 the name of the attribute to set
-     * \param v1 the value of the attribute to set
+     * @param n1 the name of the attribute to set
+     * @param v1 the value of the attribute to set
      *
      * Set these attributes on each ns3::CsmaNetDevice created
      * by CsmaHelper::Install
@@ -66,8 +66,8 @@
     void SetDeviceAttribute(std::string n1, const AttributeValue& v1);
 
     /**
-     * \param n1 the name of the attribute to set
-     * \param v1 the value of the attribute to set
+     * @param n1 the name of the attribute to set
+     * @param v1 the value of the attribute to set
      *
      * Set these attributes on each ns3::CsmaChannel created
      * by CsmaHelper::Install
@@ -90,8 +90,8 @@
      * configured by CsmaHelper::SetDeviceAttribute and then adds the device
      * to the node and attaches the channel to the device.
      *
-     * \param node The node to install the device in
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(Ptr<Node> node) const;
 
@@ -101,8 +101,8 @@
      * configured by CsmaHelper::SetDeviceAttribute and then adds the device
      * to the node and attaches the channel to the device.
      *
-     * \param name The name of the node to install the device in
-     * \returns A container holding the added net device.
+     * @param name The name of the node to install the device in
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(std::string name) const;
 
@@ -111,9 +111,9 @@
      * CsmaHelper::SetDeviceAttribute and then adds the device to the node and
      * attaches the provided channel to the device.
      *
-     * \param node The node to install the device in
-     * \param channel The channel to attach to the device.
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @param channel The channel to attach to the device.
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(Ptr<Node> node, Ptr<CsmaChannel> channel) const;
 
@@ -122,9 +122,9 @@
      * CsmaHelper::SetDeviceAttribute and then adds the device to the node and
      * attaches the provided channel to the device.
      *
-     * \param node The node to install the device in
-     * \param channelName The name of the channel to attach to the device.
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @param channelName The name of the channel to attach to the device.
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(Ptr<Node> node, std::string channelName) const;
 
@@ -133,9 +133,9 @@
      * CsmaHelper::SetDeviceAttribute and then adds the device to the node and
      * attaches the provided channel to the device.
      *
-     * \param nodeName The name of the node to install the device in
-     * \param channel The channel to attach to the device.
-     * \returns A container holding the added net device.
+     * @param nodeName The name of the node to install the device in
+     * @param channel The channel to attach to the device.
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(std::string nodeName, Ptr<CsmaChannel> channel) const;
 
@@ -144,9 +144,9 @@
      * CsmaHelper::SetDeviceAttribute and then adds the device to the node and
      * attaches the provided channel to the device.
      *
-     * \param nodeName The name of the node to install the device in
-     * \param channelName The name of the channel to attach to the device.
-     * \returns A container holding the added net device.
+     * @param nodeName The name of the node to install the device in
+     * @param channelName The name of the channel to attach to the device.
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(std::string nodeName, std::string channelName) const;
 
@@ -157,8 +157,8 @@
      * configured by CsmaHelper::SetDeviceAttribute); adds the device to the
      * node; and attaches the channel to the device.
      *
-     * \param c The NodeContainer holding the nodes to be changed.
-     * \returns A container holding the added net devices.
+     * @param c The NodeContainer holding the nodes to be changed.
+     * @returns A container holding the added net devices.
      */
     NetDeviceContainer Install(const NodeContainer& c) const;
 
@@ -168,9 +168,9 @@
      * CsmaHelper::SetDeviceAttribute); adds the device to the node; and attaches
      * the provided channel to the device.
      *
-     * \param c The NodeContainer holding the nodes to be changed.
-     * \param channel The channel to attach to the devices.
-     * \returns A container holding the added net devices.
+     * @param c The NodeContainer holding the nodes to be changed.
+     * @param channel The channel to attach to the devices.
+     * @returns A container holding the added net devices.
      */
     NetDeviceContainer Install(const NodeContainer& c, Ptr<CsmaChannel> channel) const;
 
@@ -180,9 +180,9 @@
      * CsmaHelper::SetDeviceAttribute); adds the device to the node; and attaches
      * the provided channel to the device.
      *
-     * \param c The NodeContainer holding the nodes to be changed.
-     * \param channelName The name of the channel to attach to the devices.
-     * \returns A container holding the added net devices.
+     * @param c The NodeContainer holding the nodes to be changed.
+     * @param channelName The name of the channel to attach to the devices.
+     * @returns A container holding the added net devices.
      */
     NetDeviceContainer Install(const NodeContainer& c, std::string channelName) const;
 
@@ -192,10 +192,10 @@
      * have been assigned. The Install() method should have previously been
      * called by the user.
      *
-     * \param c NetDeviceContainer of the set of net devices for which the
+     * @param c NetDeviceContainer of the set of net devices for which the
      *          CsmaNetDevice should be modified to use a fixed stream
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this helper
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NetDeviceContainer c, int64_t stream);
 
@@ -205,22 +205,22 @@
      * CsmaHelper::SetDeviceAttribute and then adds the device to the node and
      * attaches the provided channel to the device.
      *
-     * \param node The node to install the device in
-     * \param channel The channel to attach to the device.
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @param channel The channel to attach to the device.
+     * @returns A container holding the added net device.
      */
     Ptr<NetDevice> InstallPriv(Ptr<Node> node, Ptr<CsmaChannel> channel) const;
 
     /**
-     * \brief Enable pcap output on the indicated net device.
+     * @brief Enable pcap output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param promiscuous If true capture all possible packets available at the device.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param prefix Filename prefix to use for pcap files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param promiscuous If true capture all possible packets available at the device.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnablePcapInternal(std::string prefix,
                             Ptr<NetDevice> nd,
@@ -228,15 +228,15 @@
                             bool explicitFilename) override;
 
     /**
-     * \brief Enable ascii trace output on the indicated net device.
+     * @brief Enable ascii trace output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param stream The output stream object to use when logging ascii traces.
-     * \param prefix Filename prefix to use for ascii trace files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param stream The output stream object to use when logging ascii traces.
+     * @param prefix Filename prefix to use for ascii trace files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnableAsciiInternal(Ptr<OutputStreamWrapper> stream,
                              std::string prefix,
